#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int br=0, par=0, n=0, l;
        do{
            printf("Unesi broj stalaktita: ");
            scanf("%d", &n);
        }while(1>n || n>1000);
            printf("Unesi visinu Perice: ");
            scanf("%d", &l);

    int visinestalaktita[n+1];

    for (int i=1; i<n+1; i++){
        printf("Unesi visinu %d. stalaktita: ", i);
        scanf("%d", &visinestalaktita[i]);
        if (visinestalaktita[i]>l && par==0){
            br++;
        }
        else if (visinestalaktita[i]==l){
            par=1;
            br++;
        }
    }

    if (br==n){
        printf("-1");
    }
    else {
        printf("%d", br);
    }
    return 0;
}